OGRE: Ogre::ColourFaderAffector Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ColourFaderAffector Class Reference
Plugins » ParticleFX

This affector modifies the colour of particles in flight. More...

`#include <OgreColourFaderAffector.h>`

Inheritance diagram for Ogre::ColourFaderAffector:
[legend]

## Classes
class | CmdAlphaAdjust
| Command object for alpha adjust (see ParamCommand). More...
class | CmdBlueAdjust
| Command object for blue adjust (see ParamCommand). More...
class | CmdGreenAdjust
| Command object for green adjust (see ParamCommand). More...
class | CmdRedAdjust
| Command object for red adjust (see ParamCommand). More...

## Public Member Functions
| ColourFaderAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| Method called to allow the affector to 'do it's stuff' on all active particles in the system.
float | getAlphaAdjust (void) const
| Gets the alpha adjustment to be made per second to particles.
float | getBlueAdjust (void) const
| Gets the blue adjustment to be made per second to particles.
float | getGreenAdjust (void) const
| Gets the green adjustment to be made per second to particles.
float | getRedAdjust (void) const
| Gets the red adjustment to be made per second to particles.
void | setAdjust (float red, float green, float blue, float alpha=0.0)
| Sets the colour adjustment to be made per second to particles.
void | setAlphaAdjust (float alpha)
| Sets the alpha adjustment to be made per second to particles.
void | setBlueAdjust (float blue)
| Sets the blue adjustment to be made per second to particles.
void | setGreenAdjust (float green)
| Sets the green adjustment to be made per second to particles.
void | setRedAdjust (float red)
| Sets the red adjustment to be made per second to particles.
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
virtual void | _initParticle (Particle *pParticle)
| Method called to allow the affector to initialize all newly created particles in the system.
const String & | getType (void) const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary (void)
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary (void) const
String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.
bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes
static CmdAlphaAdjust | msAlphaCmd
static CmdBlueAdjust | msBlueCmd
static CmdGreenAdjust | msGreenCmd
static CmdRedAdjust | msRedCmd

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Detailed Description

This affector modifies the colour of particles in flight.

## Constructor & Destructor Documentation

## ◆ ColourFaderAffector()

Ogre::ColourFaderAffector::ColourFaderAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## ◆ _affectParticles()

void Ogre::ColourFaderAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )
| overridevirtual

Method called to allow the affector to 'do it's stuff' on all active particles in the system.

This is where the affector gets the chance to apply it's effects to the particles of a system. The affector is expected to apply it's effect to some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pSystem | Pointer to a ParticleSystem to affect.
  timeElapsed | The number of seconds which have elapsed since the last call.

Implements Ogre::ParticleAffector.

## ◆ setAdjust()

void Ogre::ColourFaderAffector::setAdjust | ( | float | red,
|  | float | green,
|  | float | blue,
|  | float | alpha = 0.0 )

Sets the colour adjustment to be made per second to particles.

Parameters

  red,green,blue,alpha | Sets the adjustment to be made to each of the colour components per second. These values will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## ◆ setRedAdjust()

void Ogre::ColourFaderAffector::setRedAdjust | ( | float | red | ) |

Sets the red adjustment to be made per second to particles.

Parameters

  red | The adjustment to be made to the colour component per second. This value will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## ◆ getRedAdjust()

float Ogre::ColourFaderAffector::getRedAdjust | ( | void |  | ) | const

Gets the red adjustment to be made per second to particles.

## ◆ setGreenAdjust()

void Ogre::ColourFaderAffector::setGreenAdjust | ( | float | green | ) |

Sets the green adjustment to be made per second to particles.

Parameters

  green | The adjustment to be made to the colour component per second. This value will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## ◆ getGreenAdjust()

float Ogre::ColourFaderAffector::getGreenAdjust | ( | void |  | ) | const

Gets the green adjustment to be made per second to particles.

## ◆ setBlueAdjust()

void Ogre::ColourFaderAffector::setBlueAdjust | ( | float | blue | ) |

Sets the blue adjustment to be made per second to particles.

Parameters

  blue | The adjustment to be made to the colour component per second. This value will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## ◆ getBlueAdjust()

float Ogre::ColourFaderAffector::getBlueAdjust | ( | void |  | ) | const

Gets the blue adjustment to be made per second to particles.

## ◆ setAlphaAdjust()

void Ogre::ColourFaderAffector::setAlphaAdjust | ( | float | alpha | ) |

Sets the alpha adjustment to be made per second to particles.

Parameters

  alpha | The adjustment to be made to the colour component per second. This value will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## ◆ getAlphaAdjust()

float Ogre::ColourFaderAffector::getAlphaAdjust | ( | void |  | ) | const

Gets the alpha adjustment to be made per second to particles.

## Member Data Documentation

## ◆ msRedCmd

CmdRedAdjust Ogre::ColourFaderAffector::msRedCmd
| static

## ◆ msGreenCmd

CmdGreenAdjust Ogre::ColourFaderAffector::msGreenCmd
| static

## ◆ msBlueCmd

CmdBlueAdjust Ogre::ColourFaderAffector::msBlueCmd
| static

## ◆ msAlphaCmd

CmdAlphaAdjust Ogre::ColourFaderAffector::msAlphaCmd
| static

The documentation for this class was generated from the following file:

- OgreColourFaderAffector.h